> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# ListVoiceWidgetConversationsPostAPI is the POST body form of the list endpoint,


> for callers that prefer a JSON body over query params.




## OpenAPI

````yaml /api/openapi.json post /v1/voice/widget-conversations
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, and experiments. Authenticate with
    a Bearer API key (erdo_api_...) or scoped token (erdo_token_...).
  version: '2026-07-25'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/voice/widget-conversations:
    post:
      summary: >
        ListVoiceWidgetConversationsPostAPI is the POST body form of the list
        endpoint,
      description: |
        for callers that prefer a JSON body over query params.
      operationId: POST:mcp.ListVoiceWidgetConversationsPostAPI
      parameters:
        - allowEmptyValue: true
          explode: true
          in: query
          name: widget
          required: false
          schema:
            type: string
          style: form
        - allowEmptyValue: true
          explode: true
          in: query
          name: limit
          required: false
          schema:
            format: int64
            type: integer
          style: form
        - allowEmptyValue: true
          explode: true
          in: query
          name: offset
          required: false
          schema:
            format: int64
            type: integer
          style: form
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  conversations:
                    items:
                      $ref: '#/components/schemas/voice.WidgetConversationSummary'
                    type: array
                  count:
                    format: int64
                    type: integer
                  limit:
                    format: int64
                    type: integer
                  offset:
                    format: int64
                    type: integer
                  public_key:
                    type: string
                  widget_id:
                    type: string
                  widget_name:
                    type: string
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  schemas:
    voice.WidgetConversationSummary:
      description: >
        session metadata and whether a transcript was captured — but never the
        transcript payload itself (the list query never selects
        transcript\_json; TOAST discipline).
      properties:
        created_at:
          format: date-time
          type: string
        duration_seconds:
          format: int32
          maximum: 2147483647
          minimum: -2147483648
          type: integer
        ended_at:
          format: date-time
          type: string
        has_transcript:
          type: boolean
        modality:
          type: string
        origin:
          type: string
        session_id:
          type: string
        transcript_summary:
          type: string
      title: >
        WidgetConversationSummary is one row of a widget's conversation list. It
        carries
      type: object
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````